<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::meta::UavStateMachine Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1meta_1_1_uav_state_machine.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classframework_1_1meta_1_1_uav_state_machine-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::meta::UavStateMachine Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>State machine for UAV.  
 <a href="classframework_1_1meta_1_1_uav_state_machine.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_uav_state_machine_8h_source.html">UavStateMachine.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::meta::UavStateMachine:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1meta_1_1_uav_state_machine.png" usemap="#framework::meta::UavStateMachine_map" alt=""/>
  <map id="framework::meta::UavStateMachine_map" name="framework::meta::UavStateMachine_map">
<area href="classframework_1_1core_1_1_thread.html" title="Abstract class for a thread. " alt="framework::core::Thread" shape="rect" coords="0,56,208,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,208,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr class="memitem:a6e09026d2f2bd36f8305ab48ddf469ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e09026d2f2bd36f8305ab48ddf469ff"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>AltitudeMode_t</b> { <b>Manual</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:a6e09026d2f2bd36f8305ab48ddf469ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f4723c18787f24ccda1fb13980bbb13"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f4723c18787f24ccda1fb13980bbb13"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>OrientationMode_t</b> { <b>Manual</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:a3f4723c18787f24ccda1fb13980bbb13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5155ff97d1168cd2ae70479abf4d5b26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5155ff97d1168cd2ae70479abf4d5b26"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>ThrustMode_t</b> { <b>Default</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:a5155ff97d1168cd2ae70479abf4d5b26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7b46bff9e6e5724671f7c87b835deb1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7b46bff9e6e5724671f7c87b835deb1"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>TorqueMode_t</b> { <b>Default</b>, 
<b>Custom</b>
 }</td></tr>
<tr class="separator:ae7b46bff9e6e5724671f7c87b835deb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80b31b7d7abd7a66e859ae2c65564ebc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80b31b7d7abd7a66e859ae2c65564ebc"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>Event_t</b> { <br />
&#160;&#160;<b>EnteringFailSafeMode</b>, 
<b>EnteringControlLoop</b>, 
<b>StartLanding</b>, 
<b>FinishLanding</b>, 
<br />
&#160;&#160;<b>Stopped</b>, 
<b>TakingOff</b>, 
<b>EmergencyStop</b>, 
<b>Stabilized</b>, 
<br />
&#160;&#160;<b>ZTrajectoryFinished</b>
<br />
 }</td></tr>
<tr class="separator:a80b31b7d7abd7a66e859ae2c65564ebc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a58ba24c07f49c07518db07a270bba5fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58ba24c07f49c07518db07a270bba5fa"></a>
const AltitudeMode_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetAltitudeMode</b> (void) const </td></tr>
<tr class="separator:a58ba24c07f49c07518db07a270bba5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12733faeeb5105a3ca00aac21c9e12bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12733faeeb5105a3ca00aac21c9e12bc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetAltitudeMode</b> (const AltitudeMode_t &amp;altitudeMode)</td></tr>
<tr class="separator:a12733faeeb5105a3ca00aac21c9e12bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78657285041d223a76852e8fc4dfc5d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78657285041d223a76852e8fc4dfc5d4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>GotoAltitude</b> (float desiredAltitude)</td></tr>
<tr class="separator:a78657285041d223a76852e8fc4dfc5d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a506dcdfb30ccf9b4afb122d6b33ff235"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a506dcdfb30ccf9b4afb122d6b33ff235"></a>
const OrientationMode_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOrientationMode</b> (void) const </td></tr>
<tr class="separator:a506dcdfb30ccf9b4afb122d6b33ff235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af69a36a0a90194441fedd92fe447f56c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af69a36a0a90194441fedd92fe447f56c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetOrientationMode</b> (const OrientationMode_t &amp;orientationMode)</td></tr>
<tr class="separator:af69a36a0a90194441fedd92fe447f56c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1351159d7db6bd6021612e51535a7a6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1351159d7db6bd6021612e51535a7a6b"></a>
const ThrustMode_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetThrustMode</b> () const </td></tr>
<tr class="separator:a1351159d7db6bd6021612e51535a7a6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05b32f8fdcae476b66d67713e496c94a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05b32f8fdcae476b66d67713e496c94a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrustMode</b> (const ThrustMode_t &amp;thrustMode)</td></tr>
<tr class="separator:a05b32f8fdcae476b66d67713e496c94a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06ff8de499c777937f49849b12a83b7a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06ff8de499c777937f49849b12a83b7a"></a>
const TorqueMode_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetTorqueMode</b> (void) const </td></tr>
<tr class="separator:a06ff8de499c777937f49849b12a83b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c6961c63a886ff3fd18b9fb8e6a3fd3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c6961c63a886ff3fd18b9fb8e6a3fd3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetTorqueMode</b> (const TorqueMode_t &amp;torqueMode)</td></tr>
<tr class="separator:a1c6961c63a886ff3fd18b9fb8e6a3fd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5547e447de6472edbeddfe8f36ee83c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5547e447de6472edbeddfe8f36ee83c9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>UavStateMachine</b> (<a class="el" href="classframework_1_1meta_1_1_uav.html">meta::Uav</a> *uav, uint16_t ds3Port=20000)</td></tr>
<tr class="separator:a5547e447de6472edbeddfe8f36ee83c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2e1831c28699d4f3e82cb2141da8e42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2e1831c28699d4f3e82cb2141da8e42"></a>
const <a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetCurrentQuaternion</b> (void) const </td></tr>
<tr class="separator:ad2e1831c28699d4f3e82cb2141da8e42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add7bf2503f1a25d38d7f419863a7ff80"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add7bf2503f1a25d38d7f419863a7ff80"></a>
const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetCurrentAngularSpeed</b> (void) const </td></tr>
<tr class="separator:add7bf2503f1a25d38d7f419863a7ff80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6dce914ee556acf9bd8163bcb004625"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6dce914ee556acf9bd8163bcb004625"></a>
const <a class="el" href="classframework_1_1meta_1_1_uav.html">meta::Uav</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetUav</b> (void) const </td></tr>
<tr class="separator:af6dce914ee556acf9bd8163bcb004625"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af326e387ae6fbab284443cdb7057d9fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af326e387ae6fbab284443cdb7057d9fd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Land</b> (void)</td></tr>
<tr class="separator:af326e387ae6fbab284443cdb7057d9fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a914e57ea7f60abf2c731e3a31488a5c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a914e57ea7f60abf2c731e3a31488a5c7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>TakeOff</b> (void)</td></tr>
<tr class="separator:a914e57ea7f60abf2c731e3a31488a5c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09d0d651ea9fc86328d654408243f5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af09d0d651ea9fc86328d654408243f5e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>EmergencyStop</b> (void)</td></tr>
<tr class="separator:af09d0d651ea9fc86328d654408243f5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8960dd56ece6550bd9b8a92be07adcfc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a8960dd56ece6550bd9b8a92be07adcfc">SignalEvent</a> (Event_t event)</td></tr>
<tr class="memdesc:a8960dd56ece6550bd9b8a92be07adcfc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to signal an event.  <a href="#a8960dd56ece6550bd9b8a92be07adcfc">More...</a><br /></td></tr>
<tr class="separator:a8960dd56ece6550bd9b8a92be07adcfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa53793215d8e4dc676af214c866f5058"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa53793215d8e4dc676af214c866f5058"></a>
virtual const <a class="el" href="classframework_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetOrientation</b> (void) const </td></tr>
<tr class="separator:aa53793215d8e4dc676af214c866f5058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ab38c9be11307077e30e8351f5ffa8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ab38c9be11307077e30e8351f5ffa8f"></a>
const <a class="el" href="classframework_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultOrientation</b> (void) const </td></tr>
<tr class="separator:a1ab38c9be11307077e30e8351f5ffa8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afabdb1bf37d7bedd628bb7e3d3a949d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afabdb1bf37d7bedd628bb7e3d3a949d4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>AltitudeValues</b> (float &amp;z, float &amp;dz) const </td></tr>
<tr class="separator:afabdb1bf37d7bedd628bb7e3d3a949d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae5666e3fd8d6264b2d2e30c7afd393"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ae5666e3fd8d6264b2d2e30c7afd393"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>EnterFailSafeMode</b> (void)</td></tr>
<tr class="separator:a2ae5666e3fd8d6264b2d2e30c7afd393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae2ff893e13b081190074d2cfe3d9a54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae2ff893e13b081190074d2cfe3d9a54"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>ExitFailSafeMode</b> (void)</td></tr>
<tr class="separator:aae2ff893e13b081190074d2cfe3d9a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91de677c99140af51dd32ba09d7be5e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91de677c99140af51dd32ba09d7be5e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>FailSafeAltitudeValues</b> (float &amp;z, float &amp;dz) const </td></tr>
<tr class="separator:a91de677c99140af51dd32ba09d7be5e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a130804e0c530cdc728a37914b28f7252"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a130804e0c530cdc728a37914b28f7252"></a>
<a class="el" href="classframework_1_1gui_1_1_grid_layout.html">gui::GridLayout</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetButtonsLayout</b> (void) const </td></tr>
<tr class="separator:a130804e0c530cdc728a37914b28f7252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8662149101d68f7bff6dd274b6358c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8662149101d68f7bff6dd274b6358c5"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>ExtraSecurityCheck</b> (void)</td></tr>
<tr class="separator:ac8662149101d68f7bff6dd274b6358c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac35ed539221c62be70c0ddc13f87aa1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac35ed539221c62be70c0ddc13f87aa1"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>ExtraCheckJoystick</b> (void)</td></tr>
<tr class="separator:aac35ed539221c62be70c0ddc13f87aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab187859ca392816243261cd80ef7dad9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab187859ca392816243261cd80ef7dad9"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>ExtraCheckPushButton</b> (void)</td></tr>
<tr class="separator:ab187859ca392816243261cd80ef7dad9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c51b8efe6ebfd2e0b80af97f15de843"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c51b8efe6ebfd2e0b80af97f15de843"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultReferenceAltitude</b> (float &amp;refAltitude, float &amp;refVerticalVelocity)</td></tr>
<tr class="separator:a8c51b8efe6ebfd2e0b80af97f15de843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a162703e90ac3679878279e643d1cb52b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a162703e90ac3679878279e643d1cb52b"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>GetReferenceAltitude</b> (float &amp;refAltitude, float &amp;refVerticalVelocity)</td></tr>
<tr class="separator:a162703e90ac3679878279e643d1cb52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45bdf9a14a13c8bd218628a0287684a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45bdf9a14a13c8bd218628a0287684a8"></a>
const <a class="el" href="classframework_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetDefaultReferenceOrientation</b> (void) const </td></tr>
<tr class="separator:a45bdf9a14a13c8bd218628a0287684a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef6849bd301ece0a52fc896c47762a11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef6849bd301ece0a52fc896c47762a11"></a>
virtual const <a class="el" href="classframework_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetReferenceOrientation</b> (void)</td></tr>
<tr class="separator:aef6849bd301ece0a52fc896c47762a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3418f1f46c9729b2bc07b9719854e805"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a3418f1f46c9729b2bc07b9719854e805">ComputeCustomTorques</a> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;torques)</td></tr>
<tr class="memdesc:a3418f1f46c9729b2bc07b9719854e805"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute Custom Torques.  <a href="#a3418f1f46c9729b2bc07b9719854e805">More...</a><br /></td></tr>
<tr class="separator:a3418f1f46c9729b2bc07b9719854e805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a977cd10d9c53167f920be254331fbfd2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a977cd10d9c53167f920be254331fbfd2">ComputeDefaultTorques</a> (<a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;torques)</td></tr>
<tr class="memdesc:a977cd10d9c53167f920be254331fbfd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute Default Torques.  <a href="#a977cd10d9c53167f920be254331fbfd2">More...</a><br /></td></tr>
<tr class="separator:a977cd10d9c53167f920be254331fbfd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01fa7edfd5d5a89a11226a46d4593fb3"><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a01fa7edfd5d5a89a11226a46d4593fb3">ComputeCustomThrust</a> (void)</td></tr>
<tr class="memdesc:a01fa7edfd5d5a89a11226a46d4593fb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Torques.  <a href="#a01fa7edfd5d5a89a11226a46d4593fb3">More...</a><br /></td></tr>
<tr class="separator:a01fa7edfd5d5a89a11226a46d4593fb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0b4d4a8dbc36ad38290ecfb9470beb3"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#ae0b4d4a8dbc36ad38290ecfb9470beb3">ComputeDefaultThrust</a> (void)</td></tr>
<tr class="memdesc:ae0b4d4a8dbc36ad38290ecfb9470beb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute Default Thrust.  <a href="#ae0b4d4a8dbc36ad38290ecfb9470beb3">More...</a><br /></td></tr>
<tr class="separator:ae0b4d4a8dbc36ad38290ecfb9470beb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb723909f8b40229adae864144006ddd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#abb723909f8b40229adae864144006ddd">AddDeviceToControlLawLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a> *device)</td></tr>
<tr class="memdesc:abb723909f8b40229adae864144006ddd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Thrust.  <a href="#abb723909f8b40229adae864144006ddd">More...</a><br /></td></tr>
<tr class="separator:abb723909f8b40229adae864144006ddd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da7f45b432b7da6fd27004bfdded413"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a0da7f45b432b7da6fd27004bfdded413">AddDataToControlLawLog</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data)</td></tr>
<tr class="memdesc:a0da7f45b432b7da6fd27004bfdded413"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an io_data to the control law logs.  <a href="#a0da7f45b432b7da6fd27004bfdded413">More...</a><br /></td></tr>
<tr class="separator:a0da7f45b432b7da6fd27004bfdded413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1b105a933e68ffc7ca4ef7e5d8bb2d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1b105a933e68ffc7ca4ef7e5d8bb2d4"></a>
const <a class="el" href="classframework_1_1sensor_1_1_target_controller.html">sensor::TargetController</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetJoystick</b> (void) const </td></tr>
<tr class="separator:af1b105a933e68ffc7ca4ef7e5d8bb2d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:add302f62323d280ad2f5513b1ce0cbb0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add302f62323d280ad2f5513b1ce0cbb0"></a>
<a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>setupLawTab</b></td></tr>
<tr class="separator:add302f62323d280ad2f5513b1ce0cbb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c580148337e716ec886da0eb921d956"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c580148337e716ec886da0eb921d956"></a>
<a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>graphLawTab</b></td></tr>
<tr class="separator:a4c580148337e716ec886da0eb921d956"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#ade8360f01a17c3c59a8fcfa8a67af4e9">Thread</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, uint8_t priority)</td></tr>
<tr class="memdesc:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ade8360f01a17c3c59a8fcfa8a67af4e9">More...</a><br /></td></tr>
<tr class="separator:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a27a72866b343b8734fd4427515d1e38f">~Thread</a> ()</td></tr>
<tr class="memdesc:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a27a72866b343b8734fd4427515d1e38f">More...</a><br /></td></tr>
<tr class="separator:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">Start</a> (void)</td></tr>
<tr class="memdesc:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the thread.  <a href="#aeea6854b038e4cc558dfb8dbfc6f47fd">More...</a><br /></td></tr>
<tr class="separator:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">SafeStop</a> (void)</td></tr>
<tr class="memdesc:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#acd61dc2aef8db4619f5d65eb0aca3d40">More...</a><br /></td></tr>
<tr class="separator:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a540728357836b08054eb1d2c659ce0e1">ToBeStopped</a> (void) const </td></tr>
<tr class="memdesc:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#a540728357836b08054eb1d2c659ce0e1">More...</a><br /></td></tr>
<tr class="separator:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a74b2dd5fda4079a47f67d89b832a02d1">Join</a> (void)</td></tr>
<tr class="memdesc:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Join the thread.  <a href="#a74b2dd5fda4079a47f67d89b832a02d1">More...</a><br /></td></tr>
<tr class="separator:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">SetPeriodUS</a> (uint32_t period_us)</td></tr>
<tr class="memdesc:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in micro second.  <a href="#a7aefccd25fe4a0dd6fa76d03090b9bb2">More...</a><br /></td></tr>
<tr class="separator:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29632101695ddd794befd704c4cc1fd7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29632101695ddd794befd704c4cc1fd7"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodUS</b> () const </td></tr>
<tr class="separator:a29632101695ddd794befd704c4cc1fd7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">SetPeriodMS</a> (uint32_t period_ms)</td></tr>
<tr class="memdesc:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#a3d7e006f50eb03f350c251ad7b0a8924">More...</a><br /></td></tr>
<tr class="separator:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acea1b6d67d95524f1c248e8e00a1a4a7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acea1b6d67d95524f1c248e8e00a1a4a7"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodMS</b> () const </td></tr>
<tr class="separator:acea1b6d67d95524f1c248e8e00a1a4a7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#afb56b9c909587242815270979452f38e">IsPeriodSet</a> (void)</td></tr>
<tr class="memdesc:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns if period was set.  <a href="#afb56b9c909587242815270979452f38e">More...</a><br /></td></tr>
<tr class="separator:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a3aa7c62bf562cb4211b79e1d25eaad8b">WaitPeriod</a> (void) const </td></tr>
<tr class="memdesc:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait the period.  <a href="#a3aa7c62bf562cb4211b79e1d25eaad8b">More...</a><br /></td></tr>
<tr class="separator:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a62d15f694800dc4ac777fbbb57890228">WaitUpdate</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait update of an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>.  <a href="#a62d15f694800dc4ac777fbbb57890228">More...</a><br /></td></tr>
<tr class="separator:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">Suspend</a> (void)</td></tr>
<tr class="memdesc:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread.  <a href="#af9c6b84365e82242f6066d15b783e59c">More...</a><br /></td></tr>
<tr class="separator:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafb4dee5db8515e105717940c1e4850b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#aafb4dee5db8515e105717940c1e4850b">SuspendUntil</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> date)</td></tr>
<tr class="memdesc:aafb4dee5db8515e105717940c1e4850b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread with timeout.  <a href="#aafb4dee5db8515e105717940c1e4850b">More...</a><br /></td></tr>
<tr class="separator:aafb4dee5db8515e105717940c1e4850b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">Resume</a> (void)</td></tr>
<tr class="memdesc:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resume the thread.  <a href="#a998454819371b74a979ac4e5ba362c51">More...</a><br /></td></tr>
<tr class="separator:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a02931f74dbd44574c48a48ef0101164b">IsSuspended</a> (void) const </td></tr>
<tr class="memdesc:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread suspended?  <a href="#a02931f74dbd44574c48a48ef0101164b">More...</a><br /></td></tr>
<tr class="separator:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a231938b0e81bd51f7e7e8f11b8bf45d6">SleepUntil</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time) const </td></tr>
<tr class="memdesc:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep until absolute time.  <a href="#a231938b0e81bd51f7e7e8f11b8bf45d6">More...</a><br /></td></tr>
<tr class="separator:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#ab40474f0d841d2854587bd44ec776171">SleepUS</a> (uint32_t time_us) const </td></tr>
<tr class="memdesc:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a certain time in micro second.  <a href="#ab40474f0d841d2854587bd44ec776171">More...</a><br /></td></tr>
<tr class="separator:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">SleepMS</a> (uint32_t time_ms) const </td></tr>
<tr class="memdesc:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in milli second.  <a href="#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">More...</a><br /></td></tr>
<tr class="separator:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a6c6e2c6e3c7b8e5b9730a21eb175c193">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a6c6e2c6e3c7b8e5b9730a21eb175c193">More...</a><br /></td></tr>
<tr class="separator:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>State machine for UAV. </p>
<p>thread synchronized with ahrs, unless a period is set with SetPeriodUS or SetPeriodMS </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a8960dd56ece6550bd9b8a92be07adcfc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void framework::meta::UavStateMachine::SignalEvent </td>
          <td>(</td>
          <td class="paramtype">Event_t&#160;</td>
          <td class="paramname"><em>event</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Used to signal an event. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">event</td><td>the event which occured </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3418f1f46c9729b2bc07b9719854e805"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void framework::meta::UavStateMachine::ComputeCustomTorques </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;&#160;</td>
          <td class="paramname"><em>torques</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute Custom Torques. </p>
<p>Reimplement this method to use TorqueMode_t::Custom. <br />
This method is called internally by <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html" title="State machine for UAV. ">UavStateMachine</a>, do not call it by yourself. <br />
See GetTorques if you need torques values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">torques</td><td>custom torques </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a977cd10d9c53167f920be254331fbfd2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::meta::UavStateMachine::ComputeDefaultTorques </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_euler.html">core::Euler</a> &amp;&#160;</td>
          <td class="paramname"><em>torques</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute Default Torques. </p>
<p>This method is called internally by <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html" title="State machine for UAV. ">UavStateMachine</a> when using TorqueMode_t::Default. <br />
Torques are only computed once by loop, other calls to this method will use previously computed torques.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">torques</td><td>default torques </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a01fa7edfd5d5a89a11226a46d4593fb3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual float framework::meta::UavStateMachine::ComputeCustomThrust </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get Torques. </p>
<dl class="section return"><dt>Returns</dt><dd>torques current torques</dd></dl>
<p>Compute Custom Thrust</p>
<p>Reimplement this method to use ThrustMode_t::Custom. <br />
This method is called internally by <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html" title="State machine for UAV. ">UavStateMachine</a>, do not call it by yourself. <br />
See GetThrust if you need thrust value.</p>
<dl class="section return"><dt>Returns</dt><dd>custom Thrust </dd></dl>

</div>
</div>
<a class="anchor" id="ae0b4d4a8dbc36ad38290ecfb9470beb3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float framework::meta::UavStateMachine::ComputeDefaultThrust </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute Default Thrust. </p>
<p>This method is called internally by <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html" title="State machine for UAV. ">UavStateMachine</a> when using ThrustMode_t::Default. <br />
Thrust is only computed once by loop, other calls to this method will use previously computed thrust.</p>
<dl class="section return"><dt>Returns</dt><dd>default thrust </dd></dl>

</div>
</div>
<a class="anchor" id="abb723909f8b40229adae864144006ddd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::meta::UavStateMachine::AddDeviceToControlLawLog </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a> *&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get Thrust. </p>
<dl class="section return"><dt>Returns</dt><dd>current thrust</dd></dl>
<p>Add an IODevice to the control law logs</p>
<p>The IODevice will be automatically logged among the Uz logs, if logging is enabled (see IODevice::SetDataToLog, FrameworkManager::StartLog and FrameworkManager::AddDeviceToLog). <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">device</td><td>IODevice to log </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0da7f45b432b7da6fd27004bfdded413"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::meta::UavStateMachine::AddDataToControlLawLog </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add an io_data to the control law logs. </p>
<p>The io_data will be automatically logged among the Uz logs, if logging is enabled (see IODevice::SetDataToLog, FrameworkManager::StartLog and FrameworkManager::AddDeviceToLog). <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>io_data to log </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html">UavStateMachine</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
